package com.ruoyi.web.yh.prodOrder.domain;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 生产订单对象 bst_prod_order
 *
 * @author ruoyi
 * @date 2024-10-30
 */
@Data
public class ProdOrder extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    @Excel(name = "ERP单据ID")
    @ApiModelProperty("ERP单据ID")
    private String erpId;

    @Excel(name = "ERP单据编号")
    @ApiModelProperty("ERP单据编号")
    private String billNo;

    @Excel(name = "ERP单据类型")
    @ApiModelProperty("ERP单据类型")
    private String type;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "ERP单据日期", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty("ERP单据日期")
    private LocalDate billDate;

    @Excel(name = "ERP单据状态")
    @ApiModelProperty("ERP单据状态")
    private String status;

    @Excel(name = "ERP调拨状态")
    @ApiModelProperty("ERP调拨状态")
    private String transferStatus;

    @Excel(name = "ERP领料状态")
    @ApiModelProperty("ERP领料状态")
    private String pickStatus;

    @Excel(name = "ERP物料名称")
    @ApiModelProperty("ERP物料名称")
    private String materialName;

    @Excel(name = "ERP规格型号")
    @ApiModelProperty("ERP规格型号")
    private String spec;

    @Excel(name = "ERP单位")
    @ApiModelProperty("ERP单位")
    private String unit;

    @Excel(name = "ERP数量")
    @ApiModelProperty("ERP数量")
    private BigDecimal num;

    @Excel(name = "ERP业务状态")
    @ApiModelProperty("ERP业务状态")
    private String bizStatus;

    @Excel(name = "ERP批号")
    @ApiModelProperty("ERP批号")
    private String batchNo;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "ERP下达时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("ERP下达时间")
    private Date releaseTime;

    @Excel(name = "ERP源单编号")
    @ApiModelProperty("ERP源单编号")
    private String sourceNo;

    @Excel(name = "ERP需求单据")
    @ApiModelProperty("ERP需求单据")
    private String demandBill;

    @Excel(name = "ERP计划跟踪号")
    @ApiModelProperty("ERP计划跟踪号")
    private String planTrackNo;

    @Excel(name = "ERP产品类型")
    @ApiModelProperty("ERP产品类型")
    private String productType;

    @Excel(name = "ERP物料编码")
    @ApiModelProperty("ERP物料编码")
    private String materialNo;

    @Excel(name = "ERP合格品入库数量")
    @ApiModelProperty("ERP合格品入库数量")
    private BigDecimal quaStore;

    @Excel(name = "部门ID")
    @ApiModelProperty("部门ID")
    private Long deptId;

    @Excel(name = "ERP部门ID")
    @ApiModelProperty("ERP部门ID")
    private String erpDeptId;

}
